### Property

# Shumate DataSourceRequest:completed

since: 1.1

#### Declaration

    property completed: gboolean [ read ]

#### Description [src]

`TRUE` if the request has been completed, otherwise `FALSE`. A completed request will not receive further updates to either `ShumateDataSourceRequest:data` or `ShumateDataSourceRequest:error`.

Type:`gboolean`

Available since: 1.1

Default value | FALSE
Getter method | `shumate_data_source_request_is_completed()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no